"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isInstalledGlobally = _interopRequireDefault(require("is-installed-globally"));

var _build = _interopRequireDefault(require("./build"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async config => {
  console.log('Initialising serve...');
  let options = { ...config,
    from: 'serve',
    watch: true
  };
  const port = options.port && parseInt(options.port) || 9001;
  const errorMessage = 'Please use PaDL locally to serve to get the correct version of Storybook';

  if (!_isInstalledGlobally.default) {
    try {
      const storybook = require('@storybook/html/standalone');

      await (0, _build.default)(options);
      storybook({
        mode: 'dev',
        port,
        staticDir: ['./dist'],
        configDir: './.storybook',
        ci: !options.open
      });
    } catch (error) {
      console.log(`Error: ${error}`);
    }
  } else {
    console.log(errorMessage);
  }
};

exports.default = _default;